# Generated from dunders-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dunders

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: A starter theme for Jekyll
License: MIT
URL: https://github.com/woliveiras/__s
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jekyll) >= 3.2
# BuildRequires: rubygem(jekyll) < 4
BuildArch: noarch

%description
A starter theme for Jekyll, based on Underscores for WordPress.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_sass
%{gem_instdir}/about.md
%{gem_instdir}/archive.html
%{gem_instdir}/assets
%{gem_instdir}/categories.html
%{gem_instdir}/contact.html
%{gem_instdir}/index.html
%{gem_instdir}/robots.txt
%{gem_instdir}/screenshot.png
%{gem_instdir}/tags.html
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.4-1
- Initial package
